package main

import (
	"fmt"
)

// Возвращает сумму квадратов слайса
func SquareSum(numbers []int) (sum int) {
	for _, value := range numbers {
		sum += value * value
	}
	return
}

// Перевернуть строку. Медленный вариант.
func Solution(word string) string {
	var res string
	for _, val := range word {
		res = string(val) + res
	}
	return res
}

// Нахождение минимума
func SmallestIntegerFinder(numbers []int) (min int) {
	min = numbers[0]
	for _, val := range numbers {
		if val < min {
			min = val
		}
	}
	return // your code here
}

func Litres(time float64) int {
	return int(time) / 2
}

func CreatePhoneNumber(numbers [10]int) string {
	return fmt.Sprintf("(%d%d%d) %d%d%d-%d%d%d%d", numbers[0], numbers[1], numbers[2], numbers[3], numbers[4], numbers[5], numbers[6], numbers[7], numbers[8], numbers[9])
}

func main() {
	fmt.Println("Testing...")
	//fmt.Println(SquareSum([]int{1, 2, 5, 6}))
	// fmt.Println(Solution("world"))
	// fmt.Println(Litres(6.7))
	fmt.Println(CreatePhoneNumber([10]int{1, 2, 3, 4, 5, 6, 7, 8, 9, 0}))
}
